## org.gnu.gtk
Class RadioAction

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.Action
              org.gnu.gtk.ToggleAction
                  org.gnu.gtk.RadioAction

public class RadioAction
extends ToggleAction

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`RadioAction(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String stockId, int value)`

Method Summary
`int` `getCurrentValue()`
`java.util.List` `getGroup()`
`protected static int` `gtk_radio_action_get_current_value(Handle action)`
`protected static Handle[]` `gtk_radio_action_get_group(Handle action)`
`protected static int` `gtk_radio_action_get_type()`
`protected static Handle` `gtk_radio_action_new(java.lang.String name, java.lang.String label, java.lang.String tooltip, java.lang.String stockId, int value)`
`protected static void` `gtk_radio_action_set_group(Handle action, Handle[] group)`
`void` `setGroup(java.util.List group)`

Methods inherited from class org.gnu.gtk.ToggleAction
`getActive, getDrawAsRadio, gtk_toggle_action_get_active, gtk_toggle_action_get_draw_as_radio, gtk_toggle_action_get_type, gtk_toggle_action_new, gtk_toggle_action_set_active, gtk_toggle_action_set_draw_as_radio, gtk_toggle_action_toggled, setActive, setDrawAsRadio`

Methods inherited from class org.gnu.gtk.Action

`activate, connectAccelerator, connectProxy, createIcon, createMenuItem, createToolItem, disconnectAccelerator, disconnectProxy, getAcceleratorPath, getName, getProxies, getType, gtk_action_activate, gtk_action_connect_accelerator, gtk_action_connect_proxy, gtk_action_create_icon, gtk_action_create_menu_item, gtk_action_create_tool_item, gtk_action_disconnect_accelerator, gtk_action_disconnect_proxy, gtk_action_get_accel_path, gtk_action_get_name, gtk_action_get_proxies, gtk_action_get_sensitive, gtk_action_get_type, gtk_action_get_visible, gtk_action_is_sensitive, gtk_action_is_visible, gtk_action_new, gtk_action_set_sensitive, gtk_action_set_visible, isSensitive, isVisible, setSensitive, setVisible`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RadioAction

    public RadioAction(java.lang.String name,
                       java.lang.String label,
                       java.lang.String tooltip,
                       java.lang.String stockId,
                       int value)

Method Detail

### getGroup

    public java.util.List getGroup()

### setGroup

    public void setGroup(java.util.List group)

### getCurrentValue

    public int getCurrentValue()

### gtk_radio_action_get_type

    protected static final int gtk_radio_action_get_type()

### gtk_radio_action_new

    protected static final Handle gtk_radio_action_new(java.lang.String name,
                                                       java.lang.String label,
                                                       java.lang.String tooltip,
                                                       java.lang.String stockId,
                                                       int value)

### gtk_radio_action_get_group

    protected static final Handle[] gtk_radio_action_get_group(Handle action)

### gtk_radio_action_set_group

    protected static final void gtk_radio_action_set_group(Handle action,
                                                           Handle[] group)

### gtk_radio_action_get_current_value

    protected static final int gtk_radio_action_get_current_value(Handle action)